// -*-c++-*-
//------------------------------------------------------------------------------
// xword - (http://xword.sourceforge.net)
// Copyright 2002 Patrick Crosby <pcrosby@pobox.com>
//------------------------------------------------------------------------------
// ErrorDialog.h
//
// $Id: ErrorDialog.h,v 1.2 2002/01/23 19:43:03 pcrosby Exp $
//------------------------------------------------------------------------------
// This program is free software; you can redistribute it and/or modify it under
// the terms of the GNU General Public License as published by the Free Software
// Foundation; either version 2 of the License, or (at your option) any later
// version.
//
// This program is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
// details.
//
// You should have received a copy of the GNU General Public License along with
// this program; if not, write to the Free Software Foundation, Inc., 59 Temple
// Place, Suite 330, Boston, MA  02111-1307  USA
//------------------------------------------------------------------------------

#ifndef __ErrorDialog__
#define __ErrorDialog__

#include <gtk--/button.h>
#include <gtk--/label.h>
#include <string>

#include "XDialog.h"

#include "Namespace.h"

NAMESPACE_OPEN

//------------------------------------------------------------------------------

// class Gtk::Label;
// class Gtk::Button;

class ErrorDialog : public XDialog
{
	// Constants
	// Types
	// Variables
	private:
		static ErrorDialog* m_pThisInstance;
		Gtk::Label* m_pLabel;
		Gtk::Button* m_pButton;
	
	// Methods
	public:
		static ErrorDialog* Instance();
		
		void SetText(const std::string& strText);

	protected:
		ErrorDialog();

};

//------------------------------------------------------------------------------

NAMESPACE_CLOSE

#endif

//------------------------------------------------------------------------------
