// -*-c++-*-
//------------------------------------------------------------------------------
// xword - (http://xword.sourceforge.net)
// Copyright 2002 Patrick Crosby <pcrosby@pobox.com>
//------------------------------------------------------------------------------
// XDialog.h
//
// $Id: XDialog.h,v 1.2 2002/01/23 19:43:03 pcrosby Exp $
//------------------------------------------------------------------------------
// This program is free software; you can redistribute it and/or modify it under
// the terms of the GNU General Public License as published by the Free Software
// Foundation; either version 2 of the License, or (at your option) any later
// version.
//
// This program is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
// details.
//
// You should have received a copy of the GNU General Public License along with
// this program; if not, write to the Free Software Foundation, Inc., 59 Temple
// Place, Suite 330, Boston, MA  02111-1307  USA
//------------------------------------------------------------------------------

#ifndef __XDialog__
#define __XDialog__

#include <gtk--/dialog.h>

#include "Namespace.h"

NAMESPACE_OPEN

//------------------------------------------------------------------------------

class XDialog : public Gtk::Dialog
{
	// Constants
	// Types
	// Variables
	private:
		static XDialog* m_pInstance;
		GdkWindow* m_pPopupWin;
		
	// Methods
	protected:
		XDialog();

	public:
		static XDialog* Instance();

		void WindowManagerDecides();
		void CenterOverDisplay();
		void CenterOverMouse();
		void CenterOverWidget(Gtk::Widget* targetWidget);
		
		virtual gint delete_event_impl(GdkEventAny* p0);
		
};

//------------------------------------------------------------------------------

NAMESPACE_CLOSE

#endif 

//------------------------------------------------------------------------------
