// -*-c++-*-
//------------------------------------------------------------------------------
// xword - (http://xword.sourceforge.net)
// Copyright 2002 Patrick Crosby <pcrosby@pobox.com>
//------------------------------------------------------------------------------
// main.cpp
//
// $Id: main.cpp,v 1.5 2002/01/23 19:43:03 pcrosby Exp $
//------------------------------------------------------------------------------
// This program is free software; you can redistribute it and/or modify it under
// the terms of the GNU General Public License as published by the Free Software
// Foundation; either version 2 of the License, or (at your option) any later
// version.
//
// This program is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
// details.
//
// You should have received a copy of the GNU General Public License along with
// this program; if not, write to the Free Software Foundation, Inc., 59 Temple
// Place, Suite 330, Boston, MA  02111-1307  USA
//------------------------------------------------------------------------------

#include <config.h>

#include <gtk/gtk.h>
#include <gtk--/main.h>
#include <stdio.h>

#include "Interface.h"
#include "Puzzle.h"

//------------------------------------------------------------------------------

using namespace xword;

//------------------------------------------------------------------------------

int
main(int argc, char* argv[])
{
	std::string strFilename(PACKAGE_DATA_DIR "/default.puz");
	if (argc > 1) {
		strFilename = argv[1];
	}
	//Puzzle p(strFilename);
	// p.Dump();

	Gtk::Main kit(argc, argv);

	gtk_rc_parse_string("pixmap_path \"" PACKAGE_DATA_DIR "\"");
	gtk_rc_parse(PACKAGE_DATA_DIR "/xword.gtkrc");
	
	Interface interface;
	interface.SetPuzzle(strFilename);
	
	kit.run();
	
	return 0;
}

//------------------------------------------------------------------------------


